using PlcSiemens.O;

namespace PlcSiemens.Protocol.Upload
{
    public class StartUploadParamsResponse
    {
        public byte FunSUpld;  // function start upload 0x1D
        public byte[] Data1;//6
        public byte UploadID;
        public byte[] Uk;//3
        public byte[] LenLoad;//5

        public void Build(ByteBuffer buffer)
        {
            FunSUpld = buffer.PopByte();
            Data1 = buffer.PopBytes(6);
            UploadID = buffer.PopByte();
            Uk = buffer.PopBytes(3);
            LenLoad = buffer.PopBytes(5);
        }
    }
}
